Skip to content
You're viewing documentation for v2026.11.10-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Get PgBouncer health

PgBouncer health for a database service.

GET/api/v1/database-services/{id}/health/pgbouncer
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
Responses
200

OK

errorstring
serversPgbouncerNodeHealth[]
Show properties
Array of PgbouncerNodeHealth
errorstring
healthybooleanrequired
hoststringrequired
poolsPgbouncerPoolInfo[]
Show properties
Array of PgbouncerPoolInfo
cl_activeinteger<int64>required
cl_waitinginteger<int64>required
databasestringrequired
pool_modestringrequired
userstringrequired
server_idstringrequired
statusstringrequired
Allowed:healthyunhealthyerror
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X GET 'https://console.example.com/api/v1/database-services/string/health/pgbouncer' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "error": "string",
  "servers": [
    {
      "error": "string",
      "healthy": true,
      "host": "string",
      "pools": [
        {
          "cl_active": 0,
          "cl_waiting": 0,
          "database": "string",
          "pool_mode": "string",
          "user": "string"
        }
      ],
      "server_id": "string"
    }
  ],
  "status": "healthy"
}